{"openapi":"3.0.0","info":{"title":"Coinlayer","description":"The coinlayer API delivers accurate exchange rate data for more than 385 cryptocurrencies in real-time. Endpoints cover the list of supported currencies, live rates, historical rates, currency conversion, time-series and change (fluctuation) data.","version":"1.0.0"},"servers":[{"url":"https://api.coinlayer.com"}],"paths":{"/list":{"get":{"tags":["Endpoints"],"summary":"Coinlayer :- /list","description":"The coinlayer API's list endpoint can be used to list all available crypto and standard (fiat) currencies.","operationId":"coinlayerList","parameters":[{"name":"access_key","in":"query","description":"Your API access key.","required":true,"schema":{"type":"string"}},{"name":"callback","in":"query","description":"JSONP callback function name; if provided the JSON response will be wrapped in this function.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of cryptocurrencies (crypto) and fiat currencies (fiat).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListResponse"},"examples":{"default":{"value":{"success":true,"crypto":{"611":{"symbol":"611","name":"SixEleven","name_full":"SixEleven (611)","max_supply":611000,"icon_url":"https://assets.coinlayer.com/icons/611.png"},"ABC":{"symbol":"ABC","name":"AB-Chain","name_full":"AB-Chain (ABC)","max_supply":210000000,"icon_url":"https://assets.coinlayer.com/icons/ABC.png"}},"fiat":{"USD":"United States Dollar","EUR":"Euro"}}}}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}}}},"/convert":{"get":{"tags":["Endpoints"],"summary":"Coinlayer :- /convert","description":"The coinlayer API can also be used to convert an amount between any one cryptocurrency and standard (fiat) currency.","operationId":"coinlayerConvert","parameters":[{"name":"access_key","in":"query","description":"Your API access key.","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","description":"Specify the code of the currency to convert from.","required":true,"schema":{"type":"string","example":"BTC"}},{"name":"to","in":"query","description":"Specify the code of the currency to convert to.","required":true,"schema":{"type":"string","example":"ETH"}},{"name":"amount","in":"query","description":"Specify the amount to be converted.","required":true,"schema":{"type":"number","format":"float","example":10.5}},{"name":"date","in":"query","description":"Specify a date (format: YYYY-MM-DD) to use historical rates for this conversion.","required":false,"schema":{"type":"string"}},{"name":"callback","in":"query","description":"JSONP callback function name; if provided the JSON response will be wrapped in this function.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Conversion result and metadata.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConvertResponse"},"examples":{"default":{"value":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","query":{"from":"BTC","to":"ETH","amount":10},"info":{"timestamp":1529790006,"rate":12.960872},"result":129.60872}}}}}},"400":{"description":"Bad Request - validation error (e.g. invalid_from_currency, invalid_to_currency, invalid_conversion_amount, invalid_date)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}}}},"/change":{"get":{"tags":["Endpoints"],"summary":"Coinlayer :- /change","description":"Request fluctuation (change) data for any number of cryptocurrencies within a specific period of time (maximum period: 365 days).\n *\n * Note: If no start_date and end_date parameters are provided the API will default to yesterday (end of day) as start date and today (live rate) as end date.","operationId":"coinlayerChange","parameters":[{"name":"access_key","in":"query","description":"Your API access key.","required":true,"schema":{"type":"string"}},{"name":"start_date","in":"query","description":"Specify a start date (format: YYYY-MM-DD) for your time frame.","required":false,"schema":{"type":"string","example":"2018-04-01"}},{"name":"end_date","in":"query","description":"Specify an end date (format: YYYY-MM-DD) for your time frame.","required":false,"schema":{"type":"string","example":"2018-04-30"}},{"name":"target","in":"query","description":"Specify your preferred target currency. You can view all available symbols on the Target Currencies page.","required":false,"schema":{"type":"string"}},{"name":"symbols","in":"query","description":"Specify one or multiple (comma-separated) cryptocurrency symbols to be included in your API result.","required":false,"schema":{"type":"string","example":"BTC,ETH,XRP"}},{"name":"callback","in":"query","description":"JSONP callback function name; if provided the JSON response will be wrapped in this function.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Change data for the requested currencies.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeResponse"},"examples":{"default":{"value":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","change":true,"start_date":"2018-04-01","end_date":"2018-04-30","target":"USD","rates":{"BTC":{"start_rate":6903.113849,"end_rate":9245.982724,"change":2342.86887,"change_pct":1.33939305},"ETH":{"start_rate":383.02749,"end_rate":670.440229,"change":287.412739,"change_pct":1.75037105}}}}}}}},"400":{"description":"Bad Request - validation error (e.g. invalid_target_currency, invalid_currency_symbols)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}}}},"/timeframe":{"get":{"tags":["Endpoints"],"summary":"Coinlayer :- /timeframe","description":"Query the API for time-series crypto data between two dates of your choice (maximum period: 365 days).","operationId":"coinlayerTimeframe","parameters":[{"name":"access_key","in":"query","description":"Your API access key.","required":true,"schema":{"type":"string"}},{"name":"start_date","in":"query","description":"Specify a start date (format: YYYY-MM-DD) for your time frame.","required":true,"schema":{"type":"string","example":"2018-04-01"}},{"name":"end_date","in":"query","description":"Specify an end date (format: YYYY-MM-DD) for your time frame.","required":true,"schema":{"type":"string","example":"2018-04-30"}},{"name":"target","in":"query","description":"Specify your preferred target currency. You can view all available symbols on the Target Currencies page.","required":false,"schema":{"type":"string"}},{"name":"symbols","in":"query","description":"Specify one or multiple (comma-separated) cryptocurrency symbols to be included in your API result.","required":false,"schema":{"type":"string"}},{"name":"expand","in":"query","description":"Set to 1 to receive extended results.","required":false,"schema":{"type":"integer","enum":[0,1]}},{"name":"callback","in":"query","description":"JSONP callback function name; if provided the JSON response will be wrapped in this function.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Time-series rates keyed by ISO date (YYYY-MM-DD).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeframeResponse"},"examples":{"default":{"value":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","timeframe":true,"start_date":"2018-04-01","end_date":"2018-04-30","target":"USD","rates":{"2018-04-01":{"BTC":6903.113849,"ETH":383.02749},"2018-04-02":{"BTC":7111.72678,"ETH":387.273437}}}}}}}},"400":{"description":"Bad Request - validation error (e.g. invalid_target_currency, invalid_currency_symbols, no_timeframe_supplied, invalid_start_date, invalid_end_date, invalid_time_frame, time_frame_too_long)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}}}},"/live":{"get":{"tags":["Endpoints"],"summary":"Coinlayer :- /live","description":"The coinlayer API's live endpoint is used to get the latest crypto rates for all available or a specific set of cryptocurrencies.","operationId":"coinlayerLive","parameters":[{"name":"access_key","in":"query","description":"Your API access key.","required":true,"schema":{"type":"string"}},{"name":"target","in":"query","description":"Specify your preferred target currency. You can view all available symbols on the Target Currencies page.","required":false,"schema":{"type":"string"}},{"name":"symbols","in":"query","description":"Specify one or multiple (comma-separated) cryptocurrency symbols to be included in your API result.","required":false,"schema":{"type":"string"}},{"name":"expand","in":"query","description":"Set to 1 to receive extended results.","required":false,"schema":{"type":"integer","enum":[0,1]}},{"name":"compare","in":"query","description":"Specify a date (format: YYYY-MM-DD) to compare rates against when requesting extended results.","required":false,"schema":{"type":"string"}},{"name":"callback","in":"query","description":"JSONP callback function name; if provided the JSON response will be wrapped in this function.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Live crypto rates in the target currency.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LiveResponse"},"examples":{"simple":{"value":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","timestamp":1529571067,"target":"USD","rates":{"BTC":9500.1234,"ETH":450.567}}},"expanded":{"value":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","timestamp":1529836865,"target":"USD","rates":{"BTC":{"rate":5948.023376,"high":6499.89998,"low":5657,"vol":3665680000,"cap":1.0178502659574292E11,"sup":17112412},"ETH":{"rate":449.864211,"high":500,"low":432.547195,"vol":1918470000,"cap":4.510903428989332E10,"sup":100272556}}}}}}}},"400":{"description":"Bad Request - validation error (e.g. invalid_target_currency, invalid_currency_symbols)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}}}},"/{date}":{"get":{"tags":["Endpoints"],"summary":"Coinlayer :- /{date}","description":"Query the API for historical crypto data all the way back to the year 2011 by appending a date (format: YYYY-MM-DD) to the API's base URL.","operationId":"coinlayerHistorical","parameters":[{"name":"date","in":"path","description":"Append a date of your choice in YYYY-MM-DD format.","required":true,"schema":{"type":"string","example":"2018-04-30"}},{"name":"access_key","in":"query","description":"Your API access key.","required":true,"schema":{"type":"string"}},{"name":"target","in":"query","description":"Specify your preferred target currency. You can view all available symbols on the Target Currencies page.","required":false,"schema":{"type":"string"}},{"name":"symbols","in":"query","description":"Specify one or multiple (comma-separated) cryptocurrency symbols to be included in your API result.","required":false,"schema":{"type":"string"}},{"name":"expand","in":"query","description":"Set to 1 to receive extended results.","required":false,"schema":{"type":"integer","enum":[0,1]}},{"name":"compare","in":"query","description":"Specify a date (format: YYYY-MM-DD) to compare rates against when requesting extended results.","required":false,"schema":{"type":"string"}},{"name":"callback","in":"query","description":"JSONP callback function name; if provided the JSON response will be wrapped in this function.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Historical rates snapshot for the requested date.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoricalResponse"},"examples":{"default":{"value":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","timestamp":1525132744,"target":"USD","historical":true,"date":"2018-04-30","rates":{"BTC":6903.113849,"ETH":383.02749}}}}}}},"400":{"description":"Bad Request - validation error (e.g. invalid_date, invalid_target_currency, invalid_currency_symbols)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"}}}}},"components":{"schemas":{"CryptoDetail":{"description":"Metadata for a cryptocurrency returned by the list endpoint.","properties":{"symbol":{"type":"string","example":"611"},"name":{"type":"string","example":"SixEleven"},"name_full":{"type":"string","example":"SixEleven (611)"},"max_supply":{"nullable":true,"type":"number","example":611000},"icon_url":{"type":"string","format":"uri","example":"https://assets.coinlayer.com/icons/611.png"}},"type":"object"},"ListResponse":{"description":"Response for /list: crypto metadata and the fiat currency list.","properties":{"success":{"type":"boolean","example":true},"crypto":{"description":"Map of crypto symbol -> metadata.","type":"object","additionalProperties":{"$ref":"#/components/schemas/CryptoDetail"}},"fiat":{"description":"Map of fiat code -> currency name.","type":"object","additionalProperties":{"type":"string"}}},"type":"object","example":{"success":true,"crypto":{"611":{"symbol":"611","name":"SixEleven","name_full":"SixEleven (611)","max_supply":611000,"icon_url":"https://assets.coinlayer.com/icons/611.png"},"ABC":{"symbol":"ABC","name":"AB-Chain","name_full":"AB-Chain (ABC)","max_supply":210000000,"icon_url":"https://assets.coinlayer.com/icons/ABC.png"}},"fiat":{"USD":"United States Dollar","EUR":"Euro"}}},"RateExpanded":{"description":"Expanded per-symbol rate object returned when expand=1.","properties":{"rate":{"type":"number","example":5948.023376},"high":{"type":"number","example":6499.89998},"low":{"type":"number","example":5657},"vol":{"type":"number","example":3665680000},"cap":{"type":"number","example":1.0178502659574292E11},"sup":{"type":"number","example":17112412}},"type":"object"},"RatesMap":{"description":"Map of symbol -> numeric rate, or an expanded rate object when expand=1.","type":"object","additionalProperties":{"anyOf":[{"type":"number"},{"$ref":"#/components/schemas/RateExpanded"}]}},"LiveResponse":{"description":"Live rates response.","properties":{"success":{"type":"boolean","example":true},"terms":{"type":"string","format":"uri","example":"https://coinlayer.com/terms"},"privacy":{"type":"string","format":"uri","example":"https://coinlayer.com/privacy"},"timestamp":{"type":"integer","example":1529571067},"target":{"type":"string","example":"USD"},"rates":{"$ref":"#/components/schemas/RatesMap"}},"type":"object","example":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","timestamp":1529571067,"target":"USD","rates":{"BTC":9500.1234,"ETH":450.567}}},"HistoricalResponse":{"description":"Historical rates for a specific date.","properties":{"success":{"type":"boolean","example":true},"terms":{"type":"string","format":"uri"},"privacy":{"type":"string","format":"uri"},"timestamp":{"type":"integer"},"target":{"type":"string"},"historical":{"type":"boolean","example":true},"date":{"type":"string","format":"date","example":"2018-04-30"},"rates":{"$ref":"#/components/schemas/RatesMap"}},"type":"object","example":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","timestamp":1525132744,"target":"USD","historical":true,"date":"2018-04-30","rates":{"BTC":6903.113849,"ETH":383.02749}}},"ConvertQuery":{"properties":{"from":{"type":"string","example":"BTC"},"to":{"type":"string","example":"ETH"},"amount":{"type":"number","example":10}},"type":"object"},"ConvertInfo":{"properties":{"timestamp":{"type":"integer","example":1529790006},"rate":{"type":"number","example":12.960872}},"type":"object"},"ConvertResponse":{"description":"Conversion result.","properties":{"success":{"type":"boolean","example":true},"terms":{"type":"string"},"privacy":{"type":"string"},"query":{"$ref":"#/components/schemas/ConvertQuery"},"info":{"$ref":"#/components/schemas/ConvertInfo"},"result":{"type":"number","example":129.60872}},"type":"object","example":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","query":{"from":"BTC","to":"ETH","amount":10},"info":{"timestamp":1529790006,"rate":12.960872},"result":129.60872}},"TimeframeResponse":{"description":"Time-series rates keyed by ISO date.","properties":{"success":{"type":"boolean","example":true},"terms":{"type":"string"},"privacy":{"type":"string"},"timeframe":{"type":"boolean","example":true},"start_date":{"type":"string","format":"date","example":"2018-04-01"},"end_date":{"type":"string","format":"date","example":"2018-04-30"},"target":{"type":"string","example":"USD"},"rates":{"description":"Map of ISO date -> RatesMap for that date.","type":"object","additionalProperties":{"$ref":"#/components/schemas/RatesMap"}}},"type":"object","example":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","timeframe":true,"start_date":"2018-04-01","end_date":"2018-04-30","target":"USD","rates":{"2018-04-01":{"BTC":6903.113849,"ETH":383.02749},"2018-04-02":{"BTC":7111.72678,"ETH":387.273437}}}},"ChangeEntry":{"properties":{"start_rate":{"type":"number"},"end_rate":{"type":"number"},"change":{"type":"number"},"change_pct":{"type":"number"}},"type":"object"},"ChangeResponse":{"description":"Fluctuation/change response between two dates.","properties":{"success":{"type":"boolean","example":true},"terms":{"type":"string"},"privacy":{"type":"string"},"change":{"type":"boolean","example":true},"start_date":{"type":"string","format":"date","example":"2018-04-01"},"end_date":{"type":"string","format":"date","example":"2018-04-30"},"target":{"type":"string","example":"USD"},"rates":{"description":"Map of symbol -> ChangeEntry.","type":"object","additionalProperties":{"$ref":"#/components/schemas/ChangeEntry"}}},"type":"object","example":{"success":true,"terms":"https://coinlayer.com/terms","privacy":"https://coinlayer.com/privacy","change":true,"start_date":"2018-04-01","end_date":"2018-04-30","target":"USD","rates":{"BTC":{"start_rate":6903.113849,"end_rate":9245.982724,"change":2342.86887,"change_pct":1.33939305},"ETH":{"start_rate":383.02749,"end_rate":670.440229,"change":287.412739,"change_pct":1.75037105}}}},"Error":{"title":"Error","type":"object","required":["success","error"],"properties":{"success":{"type":"boolean","example":false},"error":{"type":"object","properties":{"code":{"type":"integer","example":101},"type":{"type":"string","example":"invalid_access_key"},"info":{"type":"string","example":"You have not supplied a valid API Access Key. [Technical Support: support@apilayer.com]"}}}}}},"responses":{"401":{"description":"Unauthorized","content":{"application/json; Charset=UTF-8":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"account_on_hold":{"summary":"account_on_hold","value":{"success":false,"error":{"code":107,"type":"account_on_hold","info":"Your account currently has open invoices and API has been automatically disabled. Please settle your open balance or downgrade to the Free Plan to restore API access. [Support: support@apilayer.com]"}}},"invalid_access_key":{"summary":"invalid_access_key","value":{"success":false,"error":{"code":101,"type":"invalid_access_key","info":"You have not supplied a valid API Access Key. [Technical Support: support@apilayer.com]"}}},"missing_access_key":{"summary":"missing_access_key","value":{"success":false,"error":{"code":101,"type":"missing_access_key","info":"You have not supplied an API Access Key. [Required format: access_key=YOUR_ACCESS_KEY]"}}},"inactive_user":{"summary":"inactive_user","value":{"success":false,"error":{"code":102,"type":"inactive_user","info":"Permission denied - User not active."}}}}}}},"403":{"description":"Forbidden","content":{"application/json; Charset=UTF-8":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"https_access_restricted":{"summary":"https_access_restricted","value":{"success":false,"error":{"code":105,"type":"https_access_restricted","info":"Access Restricted - Your current Subscription Plan does not support HTTPS Encryption."}}},"function_access_restricted":{"summary":"function_access_restricted","value":{"success":false,"error":{"code":105,"type":"function_access_restricted","info":"Access Restricted - Your current Subscription Plan does not support this API Function."}}},"spread_access_restricted":{"summary":"spread_access_restricted","value":{"success":false,"error":{"code":403,"type":"spread_access_restricted","info":"Access Restricted - Your current Subscription Plan does not support Bid/Ask Data."}}},"source_currency_access_restricted":{"summary":"source_currency_access_restricted","value":{"success":false,"error":{"code":403,"type":"source_currency_access_restricted","info":"Access Restricted - Your current Subscription Plan does not support Source Currency Switching."}}},"api_access_blocked":{"summary":"api_access_blocked","value":{"success":false,"error":{"code":104,"type":"api_access_blocked","info":"Your API access has been temporarily disabled. Please upgrade your Subscription Plan or contact support."}}}}}}},"404":{"description":"Not Found","content":{"application/json; Charset=UTF-8":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"invalid_api_function":{"summary":"invalid_api_function","value":{"success":false,"error":{"code":103,"type":"invalid_api_function","info":"This API Function does not exist."}}},"404_not_found":{"summary":"404_not_found","value":{"success":false,"error":{"code":404,"type":"404_not_found","info":"404 - The requested resource could not be found. Please try again or contact support."}}}}}}},"429":{"description":"Too Many Requests","content":{"application/json; Charset=UTF-8":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"usage_limit_reached":{"summary":"usage_limit_reached","value":{"success":false,"error":{"code":104,"type":"usage_limit_reached","info":"Your monthly usage limit has been reached. Please upgrade your Subscription Plan."}}},"daily_usage_limit_reached":{"summary":"daily_usage_limit_reached","value":{"success":false,"error":{"code":104,"type":"daily_usage_limit_reached","info":"Your daily usage limit has been reached. Please try again tomorrow or upgrade your subscription plan."}}},"fair_use_limit_reached":{"summary":"fair_use_limit_reached","value":{"success":false,"error":{"code":104,"type":"fair_use_limit_reached","info":"Your fair use limit has been reached. [Please contact support: support@apilayer.com]"}}},"rate_limit_reached":{"summary":"rate_limit_reached","value":{"success":false,"error":{"code":106,"type":"rate_limit_reached","info":"You have exceeded the maximum rate limitation allowed on your subscription plan. Please refer to the \"Rate Limits\" section of the API Documentation for details. "}}}}}}},"500":{"description":"Internal Server Error","content":{"application/json; Charset=UTF-8":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"internal_error":{"summary":"internal_error","value":{"success":false,"error":{"code":0,"type":"internal_error","info":"An error has occured. [Technical Support: support@apilayer.com]"}}}}}}},"503":{"description":"Service Unavailable","content":{"application/json; Charset=UTF-8":{"schema":{"$ref":"#/components/schemas/Error"},"examples":{"maintenance_mode":{"summary":"maintenance_mode","value":{"success":false,"error":{"code":503,"type":"maintenance_mode","info":""}}}}}}}}},"externalDocs":{"description":"Official coinlayer documentation (reference)","url":"https://coinlayer.com/documentation"}}